[Python-de] Polygon Package

Pius Hauenstein pius.hauenstein at freesurf.ch
So Dez 9 14:03:05 UTC 2007


> Was genau geht nicht? Ich habe das Package gerade runtergeladen und unter
Linux/MacOSX installiert...

Die Probleme liegen bei der Installation auf Windows XP:

************************************************************************
C:\Temp\Polygon\Polygon-1.17>\programme\Python25\python setup.py install
Numeric extension not found!
running install
running build
running build_py
creating build
creating build\lib.win32-2.5
copying Polygon.py -> build\lib.win32-2.5
running build_ext
error: Python was built with Visual Studio 2003;
extensions must be built with a compiler than can generate compatible binaries.
Visual Studio 2003 was not found on this system. If you have Cygwin installed,
you can try compiling with MingW32, by passing "-c mingw32" to setup.py.
**************************************************************************

Visual Studio 2005 ist auf der WS installiert, was muss ich nun aber tun?



> was sind die genauen Fehlermeldungen? "geht nicht" ist keine
Fehlerbeschreibung aus der man wirklich 
> einen sinnvollen Rat geben kann.
... Nun das weiss ich auch. Da ich neu mit Python und dieser Liste bin, war ich
mir nicht so sicher ob sich da überhaupt jemand meldet.